---
- name: apply nextcloud role
  collections:
    - community.general
    - ansible.posix
  hosts: all
  vars:
    ansible_python_interpreter: /usr/bin/python3
  pre_tasks:
    - name: install stuffs to be integrated later in salt
      dnf:
        name: ['epel-release', 'policycoreutils-python-utils', 'python3-cryptography', 'libselinux-python3', 'bzip2']
        state: present
      when: ansible_distribution == 'Rocky'
    - name: add hostname in hosts
      blockinfile:
        dest: /etc/hosts
        content: '{{ ansible_host }} {{ ansible_fqdn }}'
        state: present
